//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 1 lights, 5 textures and 19 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5b.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 08/25/1998    (25.08.1998)
//

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray exports for POV-Ray.
//





global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera01
  location  <59.741, -123.178, -24.309>
  direction <0.0,     0.0,  2.5899>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <33.012, 0.163, -3.128>  // Focal blur settings
  focal_point  <33.012, 0.163, -3.128> // Always Lookat
  aperture     10.0
  blur_samples 7
  confidence   0.5
  variance     0.02

}

// *******  L I G H T S *******
light_source {   // Light001
  <30.811, -236.016, 125.915>
  color rgb <1.000, 1.000, 1.000>
}


// ********  TEXTURES  *******
//

#include "beerbakg.inc"



// ********  REFERENCED OBJECTS  *******

#declare BlindPiece = difference {
  cylinder { // BlindCurve
    <0,0,1>, <0,0,0>, 1 
    hollow
    scale <25.0, 25.0, 200.0>
  }
  box { // BlindCutter
    <-1, -1, -1>, <1, 1, 1>
    scale <25.0, 27.0, 100.0>
    translate  <1.0, 0.0, 100.0>
  }
  texture {
    BlindTxtr
  }
  rotate <90.0, 56.865223, 90.0>
  translate  <-103.136291, 19.721776, 9.313884>
}




// ********  OBJECTS  *******

box { // Face
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Facetxtr
    scale <2.0, 2.0, 1.0>
    rotate 90.0*x
  translate <-1.000000, 0.000000, -1.000000>
  }
  scale <20.0, 0.1, 28.0>
  translate  <-7.33483, -41.092511, -30.891339>
}


box { // Glass
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Clrglass
  }
  scale <100.0, 0.2, 100.0>
  translate  <0.0, -10.310208, -4.479181>
}


box { // Background
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Backtxtr
  }
  scale <100.0, 1.0, 100.0>
  translate  <0.0, 101.199647, 14.485706>
}


union { // VBlinds
  object { BlindPiece }
  object { // BlindPiece1->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -6.0>
  }
  object { // BlindPiece2->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -12.0>
  }
  object { // BlindPiece3->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -18.0>
  }
  object { // BlindPiece4->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -24.0>
  }
  object { // BlindPiece5->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -30.0>
  }
  object { // BlindPiece6->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -36.0>
  }
  object { // BlindPiece7->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -42.0>
  }
  object { // BlindPiece8->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -48.0>
  }
  object { // BlindPiece9->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -54.0>
  }
  object { // BlindPiece10->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -60.0>
  }
  object { // BlindPiece11->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -66.0>
  }
  object { // BlindPiece12->BlindPiece
    BlindPiece
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -72.0>
  }
  texture {
    Backtxtr
  }
  translate  13.0*z
}




box { // subforbeer
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Whtscreentxtr
  }
  scale <30.0, 0.375, 8.0>
  translate  <30.0, 0.163242, 8.0>
}


